function PlotModeShapes(vec,fsol,beam,nbc) 

% %%%  Function Description:
% This function plots the first three mode shapes
%

v = vec(1:2:end,:);     % Collecting only displacement degree's of Freedom
%
V = zeros(size(v)) ;
for i = 1:size(v,2)
    V(:,i) = v(:,i)./(max(abs(v(:,i)))) ; %Making the maximum number of the column equals to 1 or -1
end
%  

L = max(beam) ;         % Length of the beam
n = 1 ;
% 
% Plot First Mode shape
subplot(1,3,1)
plot(V(:,nbc+1),beam,'-ob','linewidth',n) ;
h = fsol(nbc+1) ;
title(num2str(h))       % Writing the natural frequency
axis([-1 ,+1,min(beam),L])
axis off 
%
% Plot Second Mode shape 
subplot(1,3,2) 
plot(V(:,nbc+2),beam,'-ob','linewidth',n) ;
h = fsol(nbc+2) ;
title(num2str(h))
axis([-1 ,+1,min(beam),L])
axis off
%
% Plot Third Mode shape
subplot(1,3,3) 
plot(V(:,nbc+3),beam,'-ob','linewidth',n) ;
h = fsol(nbc+3) ;
title(num2str(h))
axis([-1 ,+1,min(beam),L])
axis off
%
% Plot Fourth Mode shape
% subplot(1,4,4)
% plot(V(:,nbc+4),beam,'-ob','linewidth',n) ;
% h = fsol(nbc+4) ;
% title(num2str(h))
% axis([-1 ,+1,0,L])
% axis off
% %
