function [xMax]=StaticLoad(sdof,lengthvector,kk)

%%%  Function Description:
%This function is used to get the maximum displacement for a static case
%loading. It can be useful to compare the static solution with the cyclic
%loading solution.

%%%  Input Variables Description: %%%
% P= Static load in N or in N*m
% Loc=Location of the load (dof where it is applied)


%%% Static load
P=1000000; %Static load in N (1MN)
Loc=sdof-1;

F=zeros(sdof,1);
F(Loc,1)=P;
x=kk\F;
xdisp = x(1:2:end,1);

h = figure ;
set(h,'name','Displacements for a static load in m','numbertitle','off')
plot(xdisp(:,1),lengthvector,'-ob','linewidth',1) ;
title(num2str(max(xdisp)))   
axis([-2*max(abs(xdisp)),2*max(abs(xdisp)),min(lengthvector),max(lengthvector)])

xMax=max(xdisp);