function [k,m,khg]=beammp(E,Dmp,tmp,leng,density,Beam)

% %%%  Function Description:
%     Stiffness and mass matrices for a beam element of the monopile
%    

 G=8.4*10^10; %Shear rigidity modulus of the material (N/m2) See beam.m
 mu=0.9; % See beam.m

I=pi/4*((Dmp/2)^4-(Dmp/2-tmp)^4);       %Inertia in the middle of the element about one axix
A=pi/4*(Dmp^2-(Dmp-2*tmp)^2);         %Area in the middle of the element
% stiffness matrix
 G=8.4*10^10; %Shear rigidity modulus of the material (N/m2)
if Beam=='T'
phi=12*E*I/(G*A*leng^2);
elseif Beam=='B'
phi=0;
end 
 c=E*I/((1+phi)*leng^3);
 k=c*[12      6*leng   -12       6*leng;...
      6*leng  (4+phi)*leng^2 -6*leng   (2-phi)*leng^2;...
     -12     -6*leng    12      -6*leng;...
      6*leng  (2-phi)*leng^2 -6*leng   (4+phi)*leng^2];


%Timoshenko stiffness for slender beams
khg= mu*[G*A/leng      G*A/2   -G*A/leng       G*A/2;...
      G*A/2       G*A*leng/4 -G*A/2         G*A*leng/4;...
     -G*A/leng     -G*A/2    G*A/leng      -G*A/2;...
      G*A/2      G*A*leng/4     -G*A/2      G*A*leng/4];  
  
   
% mass matrix
mass=density*A;
    mm1=mass*leng/420;
    m=mm1*[156      22*leng   54       -13*leng;...
          22*leng  4*leng^2  13*leng  -3*leng^2;...
          54       13*leng   156      -22*leng;...
         -13*leng -3*leng^2 -22*leng   4*leng^2];
    



